Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(29)

Issue 408403002: Added options to save pages into BMP and EMF on Windows. (Closed)

Created:
5 years, 1 month ago by Vitaly Buka (NO REVIEWS)
Modified:
5 years, 1 month ago
Reviewers:
Bo Xu
CC:
pdfium-reviews_googlegroups.com
Base URL:
https://pdfium.googlesource.com/pdfium.git@master
Visibility:
Public.

Description

Added options to save pages into BMP and EMF on Windows. BUG=179413 R=bo_xu@foxitsoftware.com Committed: https://pdfium.googlesource.com/pdfium/+/9e0177a

Patch Set 1 : Tue 07/22/2014 15:21:41.80 #

Total comments: 2

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : Tue 07/22/2014 17:09:02.96 #

Patch Set 5 : Tue 07/22/2014 17:09:12.92 #

Patch Set 6 : Tue 07/22/2014 17:11:20.90 #

Patch Set 7 : Tue 07/22/2014 17:13:43.29 #

Total comments: 2

Patch Set 8 : Tue 07/22/2014 18:07:30.99 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+115 lines, -19 lines) Patch
M samples/pdfium_test.cc View 1 2 3 4 5 6 7 8 chunks +115 lines, -19 lines 0 comments Download

Messages

Total messages: 10 (0 generated)
Vitaly Buka (NO REVIEWS)
5 years, 1 month ago (2014-07-22 22:04:56 UTC) #1
Vitaly Buka (NO REVIEWS)
5 years, 1 month ago (2014-07-22 22:24:53 UTC) #2
Bo Xu
https://codereview.chromium.org/408403002/diff/60001/samples/pdfium_test.cc File samples/pdfium_test.cc (right): https://codereview.chromium.org/408403002/diff/60001/samples/pdfium_test.cc#newcode324 samples/pdfium_test.cc:324: DeleteEnhMetaFile(CloseEnhMetaFile(dc)); It seems we won't do anything when (format ...
5 years, 1 month ago (2014-07-22 23:13:48 UTC) #3
Vitaly Buka (NO REVIEWS)
https://codereview.chromium.org/408403002/diff/60001/samples/pdfium_test.cc File samples/pdfium_test.cc (right): https://codereview.chromium.org/408403002/diff/60001/samples/pdfium_test.cc#newcode324 samples/pdfium_test.cc:324: DeleteEnhMetaFile(CloseEnhMetaFile(dc)); On 2014/07/22 23:13:48, Bo Xu wrote: > It ...
5 years, 1 month ago (2014-07-22 23:24:46 UTC) #4
Vitaly Buka (NO REVIEWS)
On 2014/07/22 23:24:46, Vitaly Buka wrote: > https://codereview.chromium.org/408403002/diff/60001/samples/pdfium_test.cc > File samples/pdfium_test.cc (right): > > https://codereview.chromium.org/408403002/diff/60001/samples/pdfium_test.cc#newcode324 ...
5 years, 1 month ago (2014-07-23 00:03:36 UTC) #5
Vitaly Buka (NO REVIEWS)
On 2014/07/23 00:03:36, Vitaly Buka wrote: > On 2014/07/22 23:24:46, Vitaly Buka wrote: > > ...
5 years, 1 month ago (2014-07-23 00:09:51 UTC) #6
Bo Xu
https://codereview.chromium.org/408403002/diff/170001/samples/pdfium_test.cc File samples/pdfium_test.cc (right): https://codereview.chromium.org/408403002/diff/170001/samples/pdfium_test.cc#newcode131 samples/pdfium_test.cc:131: HPEN pen = CreatePen(PS_DASH, 5, RGB(255, 0, 0)); Not ...
5 years, 1 month ago (2014-07-23 00:31:47 UTC) #7
Vitaly Buka (NO REVIEWS)
https://codereview.chromium.org/408403002/diff/170001/samples/pdfium_test.cc File samples/pdfium_test.cc (right): https://codereview.chromium.org/408403002/diff/170001/samples/pdfium_test.cc#newcode131 samples/pdfium_test.cc:131: HPEN pen = CreatePen(PS_DASH, 5, RGB(255, 0, 0)); I ...
5 years, 1 month ago (2014-07-23 00:35:42 UTC) #8
Bo Xu
lgtm
5 years, 1 month ago (2014-07-23 01:13:17 UTC) #9
Vitaly Buka (NO REVIEWS)
5 years, 1 month ago (2014-07-23 01:15:48 UTC) #10
Message was sent while issue was closed.
Committed patchset #8 manually as r9e0177a (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698